/*******************************************************************************
* File Name: VBatp.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_VBatp_H) /* Pins VBatp_H */
#define CY_PINS_VBatp_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "VBatp_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 VBatp__PORT == 15 && ((VBatp__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    VBatp_Write(uint8 value);
void    VBatp_SetDriveMode(uint8 mode);
uint8   VBatp_ReadDataReg(void);
uint8   VBatp_Read(void);
void    VBatp_SetInterruptMode(uint16 position, uint16 mode);
uint8   VBatp_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the VBatp_SetDriveMode() function.
     *  @{
     */
        #define VBatp_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define VBatp_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define VBatp_DM_RES_UP          PIN_DM_RES_UP
        #define VBatp_DM_RES_DWN         PIN_DM_RES_DWN
        #define VBatp_DM_OD_LO           PIN_DM_OD_LO
        #define VBatp_DM_OD_HI           PIN_DM_OD_HI
        #define VBatp_DM_STRONG          PIN_DM_STRONG
        #define VBatp_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define VBatp_MASK               VBatp__MASK
#define VBatp_SHIFT              VBatp__SHIFT
#define VBatp_WIDTH              1u

/* Interrupt constants */
#if defined(VBatp__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in VBatp_SetInterruptMode() function.
     *  @{
     */
        #define VBatp_INTR_NONE      (uint16)(0x0000u)
        #define VBatp_INTR_RISING    (uint16)(0x0001u)
        #define VBatp_INTR_FALLING   (uint16)(0x0002u)
        #define VBatp_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define VBatp_INTR_MASK      (0x01u) 
#endif /* (VBatp__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define VBatp_PS                     (* (reg8 *) VBatp__PS)
/* Data Register */
#define VBatp_DR                     (* (reg8 *) VBatp__DR)
/* Port Number */
#define VBatp_PRT_NUM                (* (reg8 *) VBatp__PRT) 
/* Connect to Analog Globals */                                                  
#define VBatp_AG                     (* (reg8 *) VBatp__AG)                       
/* Analog MUX bux enable */
#define VBatp_AMUX                   (* (reg8 *) VBatp__AMUX) 
/* Bidirectional Enable */                                                        
#define VBatp_BIE                    (* (reg8 *) VBatp__BIE)
/* Bit-mask for Aliased Register Access */
#define VBatp_BIT_MASK               (* (reg8 *) VBatp__BIT_MASK)
/* Bypass Enable */
#define VBatp_BYP                    (* (reg8 *) VBatp__BYP)
/* Port wide control signals */                                                   
#define VBatp_CTL                    (* (reg8 *) VBatp__CTL)
/* Drive Modes */
#define VBatp_DM0                    (* (reg8 *) VBatp__DM0) 
#define VBatp_DM1                    (* (reg8 *) VBatp__DM1)
#define VBatp_DM2                    (* (reg8 *) VBatp__DM2) 
/* Input Buffer Disable Override */
#define VBatp_INP_DIS                (* (reg8 *) VBatp__INP_DIS)
/* LCD Common or Segment Drive */
#define VBatp_LCD_COM_SEG            (* (reg8 *) VBatp__LCD_COM_SEG)
/* Enable Segment LCD */
#define VBatp_LCD_EN                 (* (reg8 *) VBatp__LCD_EN)
/* Slew Rate Control */
#define VBatp_SLW                    (* (reg8 *) VBatp__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define VBatp_PRTDSI__CAPS_SEL       (* (reg8 *) VBatp__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define VBatp_PRTDSI__DBL_SYNC_IN    (* (reg8 *) VBatp__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define VBatp_PRTDSI__OE_SEL0        (* (reg8 *) VBatp__PRTDSI__OE_SEL0) 
#define VBatp_PRTDSI__OE_SEL1        (* (reg8 *) VBatp__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define VBatp_PRTDSI__OUT_SEL0       (* (reg8 *) VBatp__PRTDSI__OUT_SEL0) 
#define VBatp_PRTDSI__OUT_SEL1       (* (reg8 *) VBatp__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define VBatp_PRTDSI__SYNC_OUT       (* (reg8 *) VBatp__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(VBatp__SIO_CFG)
    #define VBatp_SIO_HYST_EN        (* (reg8 *) VBatp__SIO_HYST_EN)
    #define VBatp_SIO_REG_HIFREQ     (* (reg8 *) VBatp__SIO_REG_HIFREQ)
    #define VBatp_SIO_CFG            (* (reg8 *) VBatp__SIO_CFG)
    #define VBatp_SIO_DIFF           (* (reg8 *) VBatp__SIO_DIFF)
#endif /* (VBatp__SIO_CFG) */

/* Interrupt Registers */
#if defined(VBatp__INTSTAT)
    #define VBatp_INTSTAT            (* (reg8 *) VBatp__INTSTAT)
    #define VBatp_SNAP               (* (reg8 *) VBatp__SNAP)
    
	#define VBatp_0_INTTYPE_REG 		(* (reg8 *) VBatp__0__INTTYPE)
#endif /* (VBatp__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_VBatp_H */


/* [] END OF FILE */
