/*******************************************************************************
* File Name: iBatp.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_iBatp_H) /* Pins iBatp_H */
#define CY_PINS_iBatp_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "iBatp_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 iBatp__PORT == 15 && ((iBatp__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    iBatp_Write(uint8 value);
void    iBatp_SetDriveMode(uint8 mode);
uint8   iBatp_ReadDataReg(void);
uint8   iBatp_Read(void);
void    iBatp_SetInterruptMode(uint16 position, uint16 mode);
uint8   iBatp_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the iBatp_SetDriveMode() function.
     *  @{
     */
        #define iBatp_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define iBatp_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define iBatp_DM_RES_UP          PIN_DM_RES_UP
        #define iBatp_DM_RES_DWN         PIN_DM_RES_DWN
        #define iBatp_DM_OD_LO           PIN_DM_OD_LO
        #define iBatp_DM_OD_HI           PIN_DM_OD_HI
        #define iBatp_DM_STRONG          PIN_DM_STRONG
        #define iBatp_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define iBatp_MASK               iBatp__MASK
#define iBatp_SHIFT              iBatp__SHIFT
#define iBatp_WIDTH              1u

/* Interrupt constants */
#if defined(iBatp__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in iBatp_SetInterruptMode() function.
     *  @{
     */
        #define iBatp_INTR_NONE      (uint16)(0x0000u)
        #define iBatp_INTR_RISING    (uint16)(0x0001u)
        #define iBatp_INTR_FALLING   (uint16)(0x0002u)
        #define iBatp_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define iBatp_INTR_MASK      (0x01u) 
#endif /* (iBatp__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define iBatp_PS                     (* (reg8 *) iBatp__PS)
/* Data Register */
#define iBatp_DR                     (* (reg8 *) iBatp__DR)
/* Port Number */
#define iBatp_PRT_NUM                (* (reg8 *) iBatp__PRT) 
/* Connect to Analog Globals */                                                  
#define iBatp_AG                     (* (reg8 *) iBatp__AG)                       
/* Analog MUX bux enable */
#define iBatp_AMUX                   (* (reg8 *) iBatp__AMUX) 
/* Bidirectional Enable */                                                        
#define iBatp_BIE                    (* (reg8 *) iBatp__BIE)
/* Bit-mask for Aliased Register Access */
#define iBatp_BIT_MASK               (* (reg8 *) iBatp__BIT_MASK)
/* Bypass Enable */
#define iBatp_BYP                    (* (reg8 *) iBatp__BYP)
/* Port wide control signals */                                                   
#define iBatp_CTL                    (* (reg8 *) iBatp__CTL)
/* Drive Modes */
#define iBatp_DM0                    (* (reg8 *) iBatp__DM0) 
#define iBatp_DM1                    (* (reg8 *) iBatp__DM1)
#define iBatp_DM2                    (* (reg8 *) iBatp__DM2) 
/* Input Buffer Disable Override */
#define iBatp_INP_DIS                (* (reg8 *) iBatp__INP_DIS)
/* LCD Common or Segment Drive */
#define iBatp_LCD_COM_SEG            (* (reg8 *) iBatp__LCD_COM_SEG)
/* Enable Segment LCD */
#define iBatp_LCD_EN                 (* (reg8 *) iBatp__LCD_EN)
/* Slew Rate Control */
#define iBatp_SLW                    (* (reg8 *) iBatp__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define iBatp_PRTDSI__CAPS_SEL       (* (reg8 *) iBatp__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define iBatp_PRTDSI__DBL_SYNC_IN    (* (reg8 *) iBatp__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define iBatp_PRTDSI__OE_SEL0        (* (reg8 *) iBatp__PRTDSI__OE_SEL0) 
#define iBatp_PRTDSI__OE_SEL1        (* (reg8 *) iBatp__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define iBatp_PRTDSI__OUT_SEL0       (* (reg8 *) iBatp__PRTDSI__OUT_SEL0) 
#define iBatp_PRTDSI__OUT_SEL1       (* (reg8 *) iBatp__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define iBatp_PRTDSI__SYNC_OUT       (* (reg8 *) iBatp__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(iBatp__SIO_CFG)
    #define iBatp_SIO_HYST_EN        (* (reg8 *) iBatp__SIO_HYST_EN)
    #define iBatp_SIO_REG_HIFREQ     (* (reg8 *) iBatp__SIO_REG_HIFREQ)
    #define iBatp_SIO_CFG            (* (reg8 *) iBatp__SIO_CFG)
    #define iBatp_SIO_DIFF           (* (reg8 *) iBatp__SIO_DIFF)
#endif /* (iBatp__SIO_CFG) */

/* Interrupt Registers */
#if defined(iBatp__INTSTAT)
    #define iBatp_INTSTAT            (* (reg8 *) iBatp__INTSTAT)
    #define iBatp_SNAP               (* (reg8 *) iBatp__SNAP)
    
	#define iBatp_0_INTTYPE_REG 		(* (reg8 *) iBatp__0__INTTYPE)
#endif /* (iBatp__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_iBatp_H */


/* [] END OF FILE */
