/*******************************************************************************
* File Name: VBatn.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_VBatn_H) /* Pins VBatn_H */
#define CY_PINS_VBatn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "VBatn_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 VBatn__PORT == 15 && ((VBatn__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    VBatn_Write(uint8 value);
void    VBatn_SetDriveMode(uint8 mode);
uint8   VBatn_ReadDataReg(void);
uint8   VBatn_Read(void);
void    VBatn_SetInterruptMode(uint16 position, uint16 mode);
uint8   VBatn_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the VBatn_SetDriveMode() function.
     *  @{
     */
        #define VBatn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define VBatn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define VBatn_DM_RES_UP          PIN_DM_RES_UP
        #define VBatn_DM_RES_DWN         PIN_DM_RES_DWN
        #define VBatn_DM_OD_LO           PIN_DM_OD_LO
        #define VBatn_DM_OD_HI           PIN_DM_OD_HI
        #define VBatn_DM_STRONG          PIN_DM_STRONG
        #define VBatn_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define VBatn_MASK               VBatn__MASK
#define VBatn_SHIFT              VBatn__SHIFT
#define VBatn_WIDTH              1u

/* Interrupt constants */
#if defined(VBatn__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in VBatn_SetInterruptMode() function.
     *  @{
     */
        #define VBatn_INTR_NONE      (uint16)(0x0000u)
        #define VBatn_INTR_RISING    (uint16)(0x0001u)
        #define VBatn_INTR_FALLING   (uint16)(0x0002u)
        #define VBatn_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define VBatn_INTR_MASK      (0x01u) 
#endif /* (VBatn__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define VBatn_PS                     (* (reg8 *) VBatn__PS)
/* Data Register */
#define VBatn_DR                     (* (reg8 *) VBatn__DR)
/* Port Number */
#define VBatn_PRT_NUM                (* (reg8 *) VBatn__PRT) 
/* Connect to Analog Globals */                                                  
#define VBatn_AG                     (* (reg8 *) VBatn__AG)                       
/* Analog MUX bux enable */
#define VBatn_AMUX                   (* (reg8 *) VBatn__AMUX) 
/* Bidirectional Enable */                                                        
#define VBatn_BIE                    (* (reg8 *) VBatn__BIE)
/* Bit-mask for Aliased Register Access */
#define VBatn_BIT_MASK               (* (reg8 *) VBatn__BIT_MASK)
/* Bypass Enable */
#define VBatn_BYP                    (* (reg8 *) VBatn__BYP)
/* Port wide control signals */                                                   
#define VBatn_CTL                    (* (reg8 *) VBatn__CTL)
/* Drive Modes */
#define VBatn_DM0                    (* (reg8 *) VBatn__DM0) 
#define VBatn_DM1                    (* (reg8 *) VBatn__DM1)
#define VBatn_DM2                    (* (reg8 *) VBatn__DM2) 
/* Input Buffer Disable Override */
#define VBatn_INP_DIS                (* (reg8 *) VBatn__INP_DIS)
/* LCD Common or Segment Drive */
#define VBatn_LCD_COM_SEG            (* (reg8 *) VBatn__LCD_COM_SEG)
/* Enable Segment LCD */
#define VBatn_LCD_EN                 (* (reg8 *) VBatn__LCD_EN)
/* Slew Rate Control */
#define VBatn_SLW                    (* (reg8 *) VBatn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define VBatn_PRTDSI__CAPS_SEL       (* (reg8 *) VBatn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define VBatn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) VBatn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define VBatn_PRTDSI__OE_SEL0        (* (reg8 *) VBatn__PRTDSI__OE_SEL0) 
#define VBatn_PRTDSI__OE_SEL1        (* (reg8 *) VBatn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define VBatn_PRTDSI__OUT_SEL0       (* (reg8 *) VBatn__PRTDSI__OUT_SEL0) 
#define VBatn_PRTDSI__OUT_SEL1       (* (reg8 *) VBatn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define VBatn_PRTDSI__SYNC_OUT       (* (reg8 *) VBatn__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(VBatn__SIO_CFG)
    #define VBatn_SIO_HYST_EN        (* (reg8 *) VBatn__SIO_HYST_EN)
    #define VBatn_SIO_REG_HIFREQ     (* (reg8 *) VBatn__SIO_REG_HIFREQ)
    #define VBatn_SIO_CFG            (* (reg8 *) VBatn__SIO_CFG)
    #define VBatn_SIO_DIFF           (* (reg8 *) VBatn__SIO_DIFF)
#endif /* (VBatn__SIO_CFG) */

/* Interrupt Registers */
#if defined(VBatn__INTSTAT)
    #define VBatn_INTSTAT            (* (reg8 *) VBatn__INTSTAT)
    #define VBatn_SNAP               (* (reg8 *) VBatn__SNAP)
    
	#define VBatn_0_INTTYPE_REG 		(* (reg8 *) VBatn__0__INTTYPE)
#endif /* (VBatn__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_VBatn_H */


/* [] END OF FILE */
