/*******************************************************************************
* File Name: VPVn.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_VPVn_H) /* Pins VPVn_H */
#define CY_PINS_VPVn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "VPVn_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 VPVn__PORT == 15 && ((VPVn__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    VPVn_Write(uint8 value);
void    VPVn_SetDriveMode(uint8 mode);
uint8   VPVn_ReadDataReg(void);
uint8   VPVn_Read(void);
void    VPVn_SetInterruptMode(uint16 position, uint16 mode);
uint8   VPVn_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the VPVn_SetDriveMode() function.
     *  @{
     */
        #define VPVn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define VPVn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define VPVn_DM_RES_UP          PIN_DM_RES_UP
        #define VPVn_DM_RES_DWN         PIN_DM_RES_DWN
        #define VPVn_DM_OD_LO           PIN_DM_OD_LO
        #define VPVn_DM_OD_HI           PIN_DM_OD_HI
        #define VPVn_DM_STRONG          PIN_DM_STRONG
        #define VPVn_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define VPVn_MASK               VPVn__MASK
#define VPVn_SHIFT              VPVn__SHIFT
#define VPVn_WIDTH              1u

/* Interrupt constants */
#if defined(VPVn__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in VPVn_SetInterruptMode() function.
     *  @{
     */
        #define VPVn_INTR_NONE      (uint16)(0x0000u)
        #define VPVn_INTR_RISING    (uint16)(0x0001u)
        #define VPVn_INTR_FALLING   (uint16)(0x0002u)
        #define VPVn_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define VPVn_INTR_MASK      (0x01u) 
#endif /* (VPVn__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define VPVn_PS                     (* (reg8 *) VPVn__PS)
/* Data Register */
#define VPVn_DR                     (* (reg8 *) VPVn__DR)
/* Port Number */
#define VPVn_PRT_NUM                (* (reg8 *) VPVn__PRT) 
/* Connect to Analog Globals */                                                  
#define VPVn_AG                     (* (reg8 *) VPVn__AG)                       
/* Analog MUX bux enable */
#define VPVn_AMUX                   (* (reg8 *) VPVn__AMUX) 
/* Bidirectional Enable */                                                        
#define VPVn_BIE                    (* (reg8 *) VPVn__BIE)
/* Bit-mask for Aliased Register Access */
#define VPVn_BIT_MASK               (* (reg8 *) VPVn__BIT_MASK)
/* Bypass Enable */
#define VPVn_BYP                    (* (reg8 *) VPVn__BYP)
/* Port wide control signals */                                                   
#define VPVn_CTL                    (* (reg8 *) VPVn__CTL)
/* Drive Modes */
#define VPVn_DM0                    (* (reg8 *) VPVn__DM0) 
#define VPVn_DM1                    (* (reg8 *) VPVn__DM1)
#define VPVn_DM2                    (* (reg8 *) VPVn__DM2) 
/* Input Buffer Disable Override */
#define VPVn_INP_DIS                (* (reg8 *) VPVn__INP_DIS)
/* LCD Common or Segment Drive */
#define VPVn_LCD_COM_SEG            (* (reg8 *) VPVn__LCD_COM_SEG)
/* Enable Segment LCD */
#define VPVn_LCD_EN                 (* (reg8 *) VPVn__LCD_EN)
/* Slew Rate Control */
#define VPVn_SLW                    (* (reg8 *) VPVn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define VPVn_PRTDSI__CAPS_SEL       (* (reg8 *) VPVn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define VPVn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) VPVn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define VPVn_PRTDSI__OE_SEL0        (* (reg8 *) VPVn__PRTDSI__OE_SEL0) 
#define VPVn_PRTDSI__OE_SEL1        (* (reg8 *) VPVn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define VPVn_PRTDSI__OUT_SEL0       (* (reg8 *) VPVn__PRTDSI__OUT_SEL0) 
#define VPVn_PRTDSI__OUT_SEL1       (* (reg8 *) VPVn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define VPVn_PRTDSI__SYNC_OUT       (* (reg8 *) VPVn__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(VPVn__SIO_CFG)
    #define VPVn_SIO_HYST_EN        (* (reg8 *) VPVn__SIO_HYST_EN)
    #define VPVn_SIO_REG_HIFREQ     (* (reg8 *) VPVn__SIO_REG_HIFREQ)
    #define VPVn_SIO_CFG            (* (reg8 *) VPVn__SIO_CFG)
    #define VPVn_SIO_DIFF           (* (reg8 *) VPVn__SIO_DIFF)
#endif /* (VPVn__SIO_CFG) */

/* Interrupt Registers */
#if defined(VPVn__INTSTAT)
    #define VPVn_INTSTAT            (* (reg8 *) VPVn__INTSTAT)
    #define VPVn_SNAP               (* (reg8 *) VPVn__SNAP)
    
	#define VPVn_0_INTTYPE_REG 		(* (reg8 *) VPVn__0__INTTYPE)
#endif /* (VPVn__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_VPVn_H */


/* [] END OF FILE */
