/*******************************************************************************
* File Name: VPVp.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_VPVp_H) /* Pins VPVp_H */
#define CY_PINS_VPVp_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "VPVp_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 VPVp__PORT == 15 && ((VPVp__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    VPVp_Write(uint8 value);
void    VPVp_SetDriveMode(uint8 mode);
uint8   VPVp_ReadDataReg(void);
uint8   VPVp_Read(void);
void    VPVp_SetInterruptMode(uint16 position, uint16 mode);
uint8   VPVp_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the VPVp_SetDriveMode() function.
     *  @{
     */
        #define VPVp_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define VPVp_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define VPVp_DM_RES_UP          PIN_DM_RES_UP
        #define VPVp_DM_RES_DWN         PIN_DM_RES_DWN
        #define VPVp_DM_OD_LO           PIN_DM_OD_LO
        #define VPVp_DM_OD_HI           PIN_DM_OD_HI
        #define VPVp_DM_STRONG          PIN_DM_STRONG
        #define VPVp_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define VPVp_MASK               VPVp__MASK
#define VPVp_SHIFT              VPVp__SHIFT
#define VPVp_WIDTH              1u

/* Interrupt constants */
#if defined(VPVp__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in VPVp_SetInterruptMode() function.
     *  @{
     */
        #define VPVp_INTR_NONE      (uint16)(0x0000u)
        #define VPVp_INTR_RISING    (uint16)(0x0001u)
        #define VPVp_INTR_FALLING   (uint16)(0x0002u)
        #define VPVp_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define VPVp_INTR_MASK      (0x01u) 
#endif /* (VPVp__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define VPVp_PS                     (* (reg8 *) VPVp__PS)
/* Data Register */
#define VPVp_DR                     (* (reg8 *) VPVp__DR)
/* Port Number */
#define VPVp_PRT_NUM                (* (reg8 *) VPVp__PRT) 
/* Connect to Analog Globals */                                                  
#define VPVp_AG                     (* (reg8 *) VPVp__AG)                       
/* Analog MUX bux enable */
#define VPVp_AMUX                   (* (reg8 *) VPVp__AMUX) 
/* Bidirectional Enable */                                                        
#define VPVp_BIE                    (* (reg8 *) VPVp__BIE)
/* Bit-mask for Aliased Register Access */
#define VPVp_BIT_MASK               (* (reg8 *) VPVp__BIT_MASK)
/* Bypass Enable */
#define VPVp_BYP                    (* (reg8 *) VPVp__BYP)
/* Port wide control signals */                                                   
#define VPVp_CTL                    (* (reg8 *) VPVp__CTL)
/* Drive Modes */
#define VPVp_DM0                    (* (reg8 *) VPVp__DM0) 
#define VPVp_DM1                    (* (reg8 *) VPVp__DM1)
#define VPVp_DM2                    (* (reg8 *) VPVp__DM2) 
/* Input Buffer Disable Override */
#define VPVp_INP_DIS                (* (reg8 *) VPVp__INP_DIS)
/* LCD Common or Segment Drive */
#define VPVp_LCD_COM_SEG            (* (reg8 *) VPVp__LCD_COM_SEG)
/* Enable Segment LCD */
#define VPVp_LCD_EN                 (* (reg8 *) VPVp__LCD_EN)
/* Slew Rate Control */
#define VPVp_SLW                    (* (reg8 *) VPVp__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define VPVp_PRTDSI__CAPS_SEL       (* (reg8 *) VPVp__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define VPVp_PRTDSI__DBL_SYNC_IN    (* (reg8 *) VPVp__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define VPVp_PRTDSI__OE_SEL0        (* (reg8 *) VPVp__PRTDSI__OE_SEL0) 
#define VPVp_PRTDSI__OE_SEL1        (* (reg8 *) VPVp__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define VPVp_PRTDSI__OUT_SEL0       (* (reg8 *) VPVp__PRTDSI__OUT_SEL0) 
#define VPVp_PRTDSI__OUT_SEL1       (* (reg8 *) VPVp__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define VPVp_PRTDSI__SYNC_OUT       (* (reg8 *) VPVp__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(VPVp__SIO_CFG)
    #define VPVp_SIO_HYST_EN        (* (reg8 *) VPVp__SIO_HYST_EN)
    #define VPVp_SIO_REG_HIFREQ     (* (reg8 *) VPVp__SIO_REG_HIFREQ)
    #define VPVp_SIO_CFG            (* (reg8 *) VPVp__SIO_CFG)
    #define VPVp_SIO_DIFF           (* (reg8 *) VPVp__SIO_DIFF)
#endif /* (VPVp__SIO_CFG) */

/* Interrupt Registers */
#if defined(VPVp__INTSTAT)
    #define VPVp_INTSTAT            (* (reg8 *) VPVp__INTSTAT)
    #define VPVp_SNAP               (* (reg8 *) VPVp__SNAP)
    
	#define VPVp_0_INTTYPE_REG 		(* (reg8 *) VPVp__0__INTTYPE)
#endif /* (VPVp__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_VPVp_H */


/* [] END OF FILE */
