/*******************************************************************************
* File Name: iBatn.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_iBatn_H) /* Pins iBatn_H */
#define CY_PINS_iBatn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "iBatn_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 iBatn__PORT == 15 && ((iBatn__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    iBatn_Write(uint8 value);
void    iBatn_SetDriveMode(uint8 mode);
uint8   iBatn_ReadDataReg(void);
uint8   iBatn_Read(void);
void    iBatn_SetInterruptMode(uint16 position, uint16 mode);
uint8   iBatn_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the iBatn_SetDriveMode() function.
     *  @{
     */
        #define iBatn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define iBatn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define iBatn_DM_RES_UP          PIN_DM_RES_UP
        #define iBatn_DM_RES_DWN         PIN_DM_RES_DWN
        #define iBatn_DM_OD_LO           PIN_DM_OD_LO
        #define iBatn_DM_OD_HI           PIN_DM_OD_HI
        #define iBatn_DM_STRONG          PIN_DM_STRONG
        #define iBatn_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define iBatn_MASK               iBatn__MASK
#define iBatn_SHIFT              iBatn__SHIFT
#define iBatn_WIDTH              1u

/* Interrupt constants */
#if defined(iBatn__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in iBatn_SetInterruptMode() function.
     *  @{
     */
        #define iBatn_INTR_NONE      (uint16)(0x0000u)
        #define iBatn_INTR_RISING    (uint16)(0x0001u)
        #define iBatn_INTR_FALLING   (uint16)(0x0002u)
        #define iBatn_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define iBatn_INTR_MASK      (0x01u) 
#endif /* (iBatn__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define iBatn_PS                     (* (reg8 *) iBatn__PS)
/* Data Register */
#define iBatn_DR                     (* (reg8 *) iBatn__DR)
/* Port Number */
#define iBatn_PRT_NUM                (* (reg8 *) iBatn__PRT) 
/* Connect to Analog Globals */                                                  
#define iBatn_AG                     (* (reg8 *) iBatn__AG)                       
/* Analog MUX bux enable */
#define iBatn_AMUX                   (* (reg8 *) iBatn__AMUX) 
/* Bidirectional Enable */                                                        
#define iBatn_BIE                    (* (reg8 *) iBatn__BIE)
/* Bit-mask for Aliased Register Access */
#define iBatn_BIT_MASK               (* (reg8 *) iBatn__BIT_MASK)
/* Bypass Enable */
#define iBatn_BYP                    (* (reg8 *) iBatn__BYP)
/* Port wide control signals */                                                   
#define iBatn_CTL                    (* (reg8 *) iBatn__CTL)
/* Drive Modes */
#define iBatn_DM0                    (* (reg8 *) iBatn__DM0) 
#define iBatn_DM1                    (* (reg8 *) iBatn__DM1)
#define iBatn_DM2                    (* (reg8 *) iBatn__DM2) 
/* Input Buffer Disable Override */
#define iBatn_INP_DIS                (* (reg8 *) iBatn__INP_DIS)
/* LCD Common or Segment Drive */
#define iBatn_LCD_COM_SEG            (* (reg8 *) iBatn__LCD_COM_SEG)
/* Enable Segment LCD */
#define iBatn_LCD_EN                 (* (reg8 *) iBatn__LCD_EN)
/* Slew Rate Control */
#define iBatn_SLW                    (* (reg8 *) iBatn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define iBatn_PRTDSI__CAPS_SEL       (* (reg8 *) iBatn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define iBatn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) iBatn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define iBatn_PRTDSI__OE_SEL0        (* (reg8 *) iBatn__PRTDSI__OE_SEL0) 
#define iBatn_PRTDSI__OE_SEL1        (* (reg8 *) iBatn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define iBatn_PRTDSI__OUT_SEL0       (* (reg8 *) iBatn__PRTDSI__OUT_SEL0) 
#define iBatn_PRTDSI__OUT_SEL1       (* (reg8 *) iBatn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define iBatn_PRTDSI__SYNC_OUT       (* (reg8 *) iBatn__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(iBatn__SIO_CFG)
    #define iBatn_SIO_HYST_EN        (* (reg8 *) iBatn__SIO_HYST_EN)
    #define iBatn_SIO_REG_HIFREQ     (* (reg8 *) iBatn__SIO_REG_HIFREQ)
    #define iBatn_SIO_CFG            (* (reg8 *) iBatn__SIO_CFG)
    #define iBatn_SIO_DIFF           (* (reg8 *) iBatn__SIO_DIFF)
#endif /* (iBatn__SIO_CFG) */

/* Interrupt Registers */
#if defined(iBatn__INTSTAT)
    #define iBatn_INTSTAT            (* (reg8 *) iBatn__INTSTAT)
    #define iBatn_SNAP               (* (reg8 *) iBatn__SNAP)
    
	#define iBatn_0_INTTYPE_REG 		(* (reg8 *) iBatn__0__INTTYPE)
#endif /* (iBatn__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_iBatn_H */


/* [] END OF FILE */
